<template>
  <div id = "app">
    <div class = "always-present">
      <Header class = "header-app"></Header>
      <div class="navbar">
      <Navbar class = "navbar-app"
               v-on:update-current-about = "currentData = 'about'"
               v-on:update-current-resume = "currentData = 'resume'"
               v-on:update-current-projects = "currentData = 'projects'"
               :current-data = currentData></Navbar>
      </div>
    </div>
    <Intro v-show = "currentData === 'about'"></Intro>
    <Resume v-show = "currentData === 'resume'"></Resume>
    <Projects v-show = "currentData === 'projects'"></Projects>
  </div>
</template>

<script>
import Header from "./components/Header";
import Intro from "./components/Intro";
import Projects from "./components/Projects";
import Navbar from "./components/Navbar";
import Resume from "./components/Resume";

export default {
  name: 'App',
  components: {
    Header,
    Navbar,
    Intro,
    Resume,
    Projects
  },
  data() {
    return {
      currentData: 'about'
    }
  }
}
</script>

<style>
@font-face {
  font-family: "Roboto Condensed";
  src: url("./assets/fonts/Roboto_Condensed/RobotoCondensed-Regular.ttf")
}

@font-face {
  font-family: "Ubuntu Mono";
  src: url("./assets/fonts/Ubuntu_Mono/UbuntuMono-Regular.ttf");
}

html {
  background: dimgrey;
}

#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  color: white;
}

.always-present {
  display: grid;
  grid-template-columns: 256px 280px 80px auto;
  grid-template-rows: 50px 60px 60px auto;
  column-gap: 14px;

  background-color: #2f4f4f;
  padding: 20px 30px;
  border-radius: 25px;
}

.header-app {
  grid-column: 1 / 4;
  grid-row: 1 / 5;
}

.navbar-app {
  grid-column: 4;
  grid-row: 1;
  justify-self: end;
}

@media (max-width: 700px) {
  .always-present {
    display: grid;
    grid-template-columns: auto;
    grid-template-rows: 50px 60px 60px auto auto auto;
    column-gap: 14px;

    background-color: #2f4f4f;
    padding: 20px 30px;
    border-radius: 25px;
  }

  .header-app {
    grid-column: 1 / 4;
    grid-row: 1 / 5;
  }
}

@media (max-width: 950px) and (min-width: 701px) {
  .always-present {
    display: grid;
    grid-template-columns: repeat(3, auto);
    grid-template-rows: 50px 60px 60px repeat(3, auto);
    column-gap: 14px;

    background-color: #2f4f4f;
    padding: 20px 30px;
    border-radius: 25px;
  }

  .header-app {
    grid-column: 1 / 4;
    grid-row: 1 / 5;
  }

  .navbar {
    grid-column: 1/4;
    grid-row: 5;
    justify-items: center;
  }
}

</style>
